bm::gamma_decoder< T, TBitIO > Class Template Reference
Elias Gamma Code (internal)

Elias Gamma decoder. More...

`#include <encoding.h>`

## Public Member Functions

| gamma_decoder (TBitIO &bin)
void | start ()
| Start encoding sequence.
void | stop ()
| Stop decoding sequence.
T | operator() (void)
| Decode word.
| gamma_decoder (TBitIO &bin) BMNOEXEPT
void | start () BMNOEXEPT
| Start encoding sequence.
void | stop () BMNOEXEPT
| Stop decoding sequence.
T | operator() (void) BMNOEXEPT
| Decode word.

## Detailed Description

template<typename T, typename TBitIO>
class bm::gamma_decoder< T, TBitIO >

Elias Gamma decoder.

Definition at line 361 of file encoding.h.

## Constructor & Destructor Documentation

## gamma_decoder() [1/2]

template<typename T, typename TBitIO>

bm::gamma_decoder< T, TBitIO >::gamma_decoder | ( | TBitIO & | bin | ) |

inline

Definition at line 364 of file encoding.h.

## gamma_decoder() [2/2]

template<typename T, typename TBitIO>

bm::gamma_decoder< T, TBitIO >::gamma_decoder | ( | TBitIO & | bin | ) |

inline

Definition at line 45 of file bmgamma.h.

## Member Function Documentation

## operator()() [1/2]

template<typename T, typename TBitIO>

T bm::gamma_decoder< T, TBitIO >::operator() | ( | void |  | ) |

inline

Decode word.

Definition at line 379 of file encoding.h.

## operator()() [2/2]

template<typename T, typename TBitIO>

T bm::gamma_decoder< T, TBitIO >::operator() | ( | void |  | ) |

inline

Decode word.

Definition at line 63 of file bmgamma.h.

## start() [1/2]

template<typename T, typename TBitIO>

void bm::gamma_decoder< T, TBitIO >::start | ( |  | ) |

inline

Start encoding sequence.

Definition at line 369 of file encoding.h.

## start() [2/2]

template<typename T, typename TBitIO>

void bm::gamma_decoder< T, TBitIO >::start | ( |  | ) |

inline

Start encoding sequence.

Definition at line 51 of file bmgamma.h.

## stop() [1/2]

template<typename T, typename TBitIO>

void bm::gamma_decoder< T, TBitIO >::stop | ( |  | ) |

inline

Stop decoding sequence.

Definition at line 374 of file encoding.h.

## stop() [2/2]

template<typename T, typename TBitIO>

void bm::gamma_decoder< T, TBitIO >::stop | ( |  | ) |

inline

Stop decoding sequence.

Definition at line 57 of file bmgamma.h.

The documentation for this class was generated from the following files:

- encoding.h
- bmgamma.h